#ifndef ENCODER_H
#define ENCODER_H

#ifdef __cplusplus
extern "C" {
#endif 

#include "stm32f10x.h"
#include "stdint.h"

void  Encoder_InitGPIO(TIM_TypeDef* TIMx , uint8_t GPIO_AF);
float Encoder_GetTIM5(void);
float Encoder_GetTIM4(void);
float Encoder_GetTIM3(void);
float Encoder_GetTIM2(void);

#ifdef __cplusplus
}
#endif 

#endif // #ifndef ENCODER_H


